Skip to main content

updateSourceCodeVulnerability

Update a Source Code Vulnerability

updateSourceCodeVulnerability(
input: UpdateSourceCodeVulnerabilityInput!
): UpdateSourceCodeVulnerabilityPayload

Arguments​

updateSourceCodeVulnerability.input ● UpdateSourceCodeVulnerabilityInput! non-null input​

Parameters for UpdateSourceCodeVulnerability

Type​

UpdateSourceCodeVulnerabilityPayload object​

Autogenerated return type of UpdateSourceCodeVulnerability.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the assets query first and use data.assets.collection[].id as assetId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateSourceCodeVulnerability($input: UpdateSourceCodeVulnerabilityInput!) {\n updateSourceCodeVulnerability(input: $input) { clientMutationId issue { id title status } }\n}","variables":{"input":{"assetId":1,"title":"example","description":"example","solution":"example","severity":"NOTIFICATION","summary":"example","impactDescription":"example","stepsToReproduce":"example","codeSnippet":"example","vulnerableLine":1,"firstLine":1,"fileName":"example","id":"example-id"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute